/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMDIALOGBUTTONS_H
#define OMDIALOGBUTTONS_H

#include <QWidget>
#include <QPushButton>
#include <QFrame>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <omflags.h>

/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class OMDialogButtons : public QFrame
{
Q_OBJECT
public:
    OMDialogButtons(QFlags<OMFlags::Flag> flags = OMFlags::QuitButton | OMFlags::CloseButton | OMFlags::ConfigButton, QWidget *parent = 0);


    ~OMDialogButtons();

protected:

protected:
    QPushButton * ConfigButton;
    QPushButton * QuitButton;
    QPushButton * CloseButton;
    QHBoxLayout * HLayout;
protected slots:
    void ConfigButtonclicked();
    void CloseButtonclicked();
    void QuitButtonclicked();
signals:
    void clicked(QFlags<OMFlags::Flag> flags);
};

#endif
