/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMWIFI_H
#define OMWIFI_H

#include <QWidget>
#include <QDBusConnection>
#include <QDBusInterface>
#include <QDBusReply>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QGridLayout>
#include <QSystemTrayIcon>
#include <QPushButton>

#include <omconfig.h>
#include <ominfobox.h>
#include "omusageinterface.h"
#include <omdialogbuttons.h>
/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class OMWiFi : public QWidget
{
Q_OBJECT
public:
    OMWiFi(QWidget *parent = 0);
    void connectToUsageInterface();

    ~OMWiFi();

protected:
    QString IconBasePath;
    QSystemTrayIcon * SysTrayIcon;
    QString activeIconFile;
    QString  inactiveIconFile;
    QIcon activeIcon;
    QIcon inactiveIcon;
    QVBoxLayout * MainLayout;
    QHBoxLayout * QuitCloseLayout;
    QHBoxLayout * ActivateLayout;
    QPushButton * ActivateButton;
    QPushButton * DeactivateButton;
    QDBusConnection *systemBus;
    OMUsageInterface *UsageInterface;
    OMConfig * Configuration;
    OMInfoBox * InfoBox;
    QString StatusPanelName;
    OMDialogButtons * DialogButtons;

protected slots:
    void iconActivated(QSystemTrayIcon::ActivationReason);
    void ActivateButtonclicked();
    void DeactivateButtonclicked();
    void ResourceChanged(QString, bool);
    void DialogButtonClicked(QFlags<OMFlags::Flag> button);

};

#endif
